---
type: api
title: Get case connectors
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-findcaseconnectorsdefaultspace
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-findcaseconnectorsdefaultspace
products:
  - Kibana
---

# Get case connectors

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/cases/configure/connectors/_find`
- `GET` `/s/{space_id}/api/cases/configure/connectors/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get information about connectors that are supported for use in cases. You must have `read` privileges for the **Actions and Connectors** feature in the **Management** section of the Kibana feature privileges.

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `[] object · max: 1000`

- `actionTypeId` (enum)
  The type of connector.
  Values: `.cases-webhook`, `.jira`, `.none`, `.resilient`, `.servicenow`, `.servicenow-sir`, `.swimlane`
- `config` (object)
  - `apiUrl` (string)
  - `projectKey` (string)
- `id` (string)
- `isDeprecated` (boolean)
- `isMissingSecrets` (boolean)
- `isPreconfigured` (boolean)
- `name` (string)
- `referencedByCount` (integer)
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
## Code Examples

#### Console

```console
GET /api/cases/configure/connectors/_find
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/cases/configure/connectors/_find"
```

## Response Examples

#### Retrieve information about the connectors and their settings.

```json
[
  {
    "actionTypeId": ".jira",
    "config": {
      "apiUrl": "https://elastic.atlassian.net/",
      "projectKey": "ES"
    },
    "id": "61787f53-4eee-4741-8df6-8fe84fa616f7",
    "isDeprecated": false,
    "isMissingSecrets": false,
    "isPreconfigured": false,
    "name": "my-Jira",
    "referencedByCount": 0
  }
]
```

#### Authorization information is missing or invalid.

```json
{
  "error": "Unauthorized",
  "message": "Unable to authenticate with the provided credentials.",
  "statusCode": 401
}
```

